name: ovosale
description: "A new Flutter project."
publish_to: "none"
version: 1.0.0+1

environment:
  sdk: ">=3.5.0 <4.0.0"

dependencies:
  animated_bottom_navigation_bar: ^1.4.0
  # awesome_dialog: ^3.2.1
  badges: ^3.1.2
  bluetooth_print_plus: ^2.4.6
  cached_network_image: ^3.4.1
  cupertino_icons: ^1.0.8
  device_info_plus: ^11.5.0
  dio: ^5.9.0
  file_picker: ^10.3.1
  fl_chart: ^1.0.0
  flutter:
    sdk: flutter
  flutter_blue_plus: ^1.35.5
  flutter_screenutil: ^5.9.3
  flutter_secure_storage: ^9.2.4
  flutter_spinkit: ^5.2.2
  flutter_svg: ^2.2.0
  get: ^4.7.2
  image_picker: ^1.2.0
  intl: ^0.20.2
  json_annotation: ^4.9.0
  logger: ^2.6.1
  open_file: ^3.5.10
  path_provider: ^2.1.5
  permission_handler: ^12.0.1
  pin_code_fields: ^8.0.1
  qr_code_scanner_plus: ^2.0.10
  rxdart: ^0.28.0
  shared_preferences: ^2.5.3
  shimmer: ^3.0.0
  toastification: ^3.0.3
  url_launcher: ^6.3.2

dev_dependencies:
  flutter_lints: ^6.0.0
  flutter_test:
    sdk: flutter
flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/icons/
    - assets/images/logo/
    - assets/images/login/
    - assets/images/menu/
    - assets/animation/
    - assets/fonts/
    - assets/icons/navbar/
    - assets/icons/common/
    - assets/icons/products_screen/

  fonts:
    - family: AlbertSans
      fonts:
        - asset: assets/fonts/Albert_Sans/AlbertSans-Regular.ttf
        - asset: assets/fonts/Albert_Sans/AlbertSans-Bold.ttf
          weight: 700
        - asset: assets/fonts/Albert_Sans/AlbertSans-Italic.ttf
          style: italic
        - asset: assets/fonts/Albert_Sans/AlbertSans-Light.ttf
          weight: 300
    - family: PlayfairDisplay
      fonts:
        - asset: assets/fonts/Playfair_Display/PlayfairDisplay-Regular.ttf
        - asset: assets/fonts/Playfair_Display/PlayfairDisplay-Bold.ttf
          weight: 700
        - asset: assets/fonts/Playfair_Display/PlayfairDisplay-Italic.ttf
          style: italic
